<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <groupId>hk.quantr.pipelinetester</groupId>
    <artifactId>PipelineTester</artifactId>
    <version>1.0</version>
    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>17</maven.compiler.source>
        <maven.compiler.target>17</maven.compiler.target>
        <exec.mainClass>hk.quantr.pipelinetester.PipelineTester</exec.mainClass>
    </properties>	    
    
    <profiles>
		<profile>
			<id>dev</id>
			<activation>
				<activeByDefault>true</activeByDefault>
			</activation>
			<properties>
				<packaging.type>jar</packaging.type>
				<maven.build.timestamp.format>yyyy-MM-dd HH:mm</maven.build.timestamp.format>
				<version>${project.version}</version>
			</properties>
			<build>
				<plugins>
					<plugin>
						<groupId>org.apache.maven.plugins</groupId>
						<artifactId>maven-assembly-plugin</artifactId>
						<version>3.3.0</version>
						<executions>
							<execution>
								<id>package-jar-with-dependencies</id>
								<phase>package</phase>
								<goals>
									<goal>single</goal>
								</goals>
								<configuration>
									<appendAssemblyId>false</appendAssemblyId>
									<descriptorRefs>
										<descriptorRef>jar-with-dependencies</descriptorRef>
									</descriptorRefs>
									<archive>
										<manifest>
											<mainClass>hk.quantr.pipelinetester.PipelineTester</mainClass>
										</manifest>
									</archive>
								</configuration>
							</execution>
						</executions>
					</plugin>
				</plugins>
			</build>
		</profile>
	</profiles>
    
	<repositories>
		<repository>
			<id>quantr</id>
			<url>https://maven.quantr.hk/repo</url>
		</repository>
	</repositories>
    <dependencies>
        <dependency>
            <groupId>hk.quantr</groupId>
            <artifactId>quantr-vcd-library</artifactId>
            <version>1.1</version>
        </dependency>
    </dependencies>
</project>
